:root {
    --primary: #dc2626;
    --danger: #dc2626;
    --bg-dark: #eeebda;
    --bg-card: #282b4a;
    --text-light: #eeebda;
}

body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: var(--bg-dark);
    color: var(--text-light);
    margin: 0;
    padding: 0;
}

header, footer {
    text-align: center;
    padding: 20px;
    background-color: var(--bg-card);
}

.container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 20px;
    max-width: 1400px;
    margin: 0 auto;
}

.panel-kontrol {
    flex: 1;
    min-width: 300px;
    background-color: var(--bg-card);
    padding: 20px;
    border-radius: 8px;
    height: fit-content;
}

.area-game {
    flex: 3;
    min-width: 300px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.nim-board, .tree-container {
    background-color: var(--bg-card);
    padding: 20px;
    border-radius: 8px;
}

/* Style Visualisasi Batu Nim */
.heap {
    display: flex;
    align-items: center;
    margin: 15px 0;
    gap: 15px;
}

.pebble {
    width: 35px;
    height: 35px;
    background-color: #e2e8f0;
    border-radius: 50%;
    cursor: pointer;
    transition: transform 0.2s, background-color 0.2s;
    box-shadow: 0 4px 6px -1px hsl(349, 51%, 10%);
}

.pebble.selected {
    background-color: #f59e0b;
    transform: scale(1.15);
}

/* Wadah Tree Vis.js */
#gameTree {
    width: 100%;
    height: 350px;
    background-color: #12142a;
    border-radius: 6px;
    border: 1px solid #374151;
}

/* Tombol-tombol */
button {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 6px;
    font-weight: bold;
    cursor: pointer;
    margin-top: 10px;
}

.btn-primary { background-color: var(--primary); color: white; }
.btn-primary:disabled { background-color: #4b5563; cursor: not-allowed; }
.btn-danger { background-color: var(--danger); color: white; }

/* Responsivitas Layar */
@media (max-width: 768px) {
    .container {
        flex-direction: column;
    }
}